# $Revision: 1.22 $, $Date: 2011/06/28 18:54:00 $
Summary:	ANSI compatible terminal emulator
Summary(pl.UTF-8):	Kompatybilny a ANSI emulator terminala
Name:		xemacs-eterm-pkg
%define 	srcname	eterm
Version:	1.18
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	751de58537ee8cfee539be3e73cb30e3
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ANSI compatible terminal emulator.

%description -l pl.UTF-8
Kompatybilny a ANSI emulator terminala.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/eterm/README.term lisp/eterm/ChangeLog
%{_datadir}/xemacs-packages%{_sysconfdir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-eterm-pkg.spec,v $
Revision 1.22  2011/06/28 18:54:00  marti
- up to 1.18

Revision 1.21  2007/04/06 22:45:15  qboosh
- changed Source0 to http as ftp no longer works

Revision 1.20  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.18  2003/11/26 13:45:24  speedy
updated to  1.15

Revision 1.17  2003/09/09 10:24:59  ankry
- spaces -> tab

Revision 1.16  2003/05/28 13:03:05  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:28:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/11/30 23:00:30  juandon
- new %%doc

Revision 1.13  2002/04/14 12:26:57  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.12  2002/02/23 05:20:03  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:30:04  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/02/13 18:11:25  mis
- updated to 1.13

Revision 1.8  2000/12/22 02:49:42  kloczek
- spec adapterized,
- fixed Summary and %description.

Revision 1.7  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.6  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.5  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:19  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:36:45  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
